require('dotenv').config();

const logger = require('perfect-logger');

const token = process.env.BOT_TOKEN;
const name = process.env.BOT_NAME;

// Configure Settings
logger.initialize(name + "_bot", {
    logLevelFile: 0,                    // Log level for file
    logLevelConsole: 0,                 // Log level for STDOUT/STDERR
    logDirectory: 'logs/',              // Log directory
    // customBannerHeaders: 'This is a custom banner'  // Custom Log Banner
});

const TelegramBot = require('node-telegram-bot-api');

const common = require('./data/bot/lib/common')
const questions = require('./data/bot/lib/questions')
const requests = require('./data/bot/lib/requests')

const bot = new TelegramBot(token, { polling: true });

bot.on('message', (msg) => {
  if (msg.text && msg.text.toString().includes("/sub_status")) {
    questions.subStatus(bot, msg, logger)
  }

  if (msg.text && msg.text.toString().includes("/help")) {
    common.commands(bot, msg, "/help")
  }

  if (msg.text && msg.text.toString().includes("/football_today")) {
    requests.football_today(bot, msg, logger)
  }

  if (msg.text && msg.text.toString().includes("/joke")) {
    requests.joke(bot, msg, logger)
  }

  if (msg.text && msg.text.toString().includes("!FAQ")) {
    common.chat(bot, msg, "!FAQ")
  }
  
  if (msg.text && msg.text.toString().includes("/start")) {
    common.chat(bot, msg, "/start")
  }

})